#include <iostream>

using namespace std;

int n;

void print_half_4(int s){
      cout << "(";
      bool printed=false;
      for (int i=0; i<=9 && i<=s; i++) { //первая цифра
        int j = s-i; //вторая цифра
        if (j>9) continue;
        if (printed) cout << "|";
        printed = true;
        cout << i << j;
      }
      cout << ")";  
}

void print_half_6(int s){
      cout << "(";
      bool printed=false;
      for (int i=0; i<=9 && i<=s; i++) { //первая цифра
        for (int j=0; j<=9 && i+j<=s; j++) { //вторая цифра
          int k = s-i-j; //третья цифра
          if (k>9) continue;
          if (printed) cout << "|";
          printed = true;
          cout << i << j << k;
        }
      }
      cout << ")";  
}


int main() {
//  freopen("lucky.in","r",stdin);
//  freopen("lucky.out","w",stdout);
  cin >> n;
  
  if (n==2) {
    cout << "00|11|22|33|44|55|66|77|88|99" << endl;
    return 0;
  }

  if (n==4) {
    for (int s=0; s<=18; s++) {
      if (s!=0) cout << "|";
      cout << "(";
      print_half_4(s);
//      cout << "|";
      print_half_4(s);
      cout << ")";
    }
    cout << endl;
    return 0;
  }

  if (n==6) {
    for (int s=0; s<=27; s++) {
      if (s!=0) cout << "|";
      cout << "(";
      print_half_6(s);
//      cout << "|";
      print_half_6(s);
      cout << ")";
    }
    cout << endl;
    return 0;
  }

  return 0;
}
